org.codehaus.plexus.compiler.manager

## Class NoSuchCompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.compiler.manager.NoSuchCompilerException

All Implemented Interfaces:
  Serializable

    public class NoSuchCompilerException
    extends Exception

Version:
  $Id$
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchCompilerException(String compilerId)`

### Method Summary

Methods
`String` `getCompilerId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchCompilerException

    public NoSuchCompilerException(String compilerId)

### Method Detail

#### getCompilerId

    public String getCompilerId()